#ifndef VC_H
#define VC_H

#include <sys/types.h>

#include "emu_defs.h"
#include "base/termio.h"

extern void vc_init(void);
extern void vt_restore(int);
extern void vt_disallocate(void);
extern int  vt_detach(void);
extern void vt_activate(int);

extern void set_vc_screen_page(int);
extern void clear_screen(int, int);

extern void set_process_control(void);
extern void clear_process_control(void);

extern void child_close_mouse(void);
extern void child_open_mouse(void);

EXTERN struct screen_stat scr_state;

#endif 

